<?php
if (session_id() == "") session_start(); // Init session data
ob_start(); // Turn on output buffering
?>
<?php include_once "ewcfg14.php" ?>
<?php include_once ((EW_USE_ADODB) ? "adodb5/adodb.inc.php" : "ewmysql14.php") ?>
<?php include_once "phpfn14.php" ?>
<?php include_once "pesertainfo.php" ?>
<?php include_once "employeesinfo.php" ?>
<?php include_once "userfn14.php" ?>
<?php

//
// Page class
//

$peserta_delete = NULL; // Initialize page object first

class cpeserta_delete extends cpeserta {

	// Page ID
	var $PageID = 'delete';

	// Project ID
	var $ProjectID = '{CC60B42B-604B-412A-B014-2315920AF6AA}';

	// Table name
	var $TableName = 'peserta';

	// Page object name
	var $PageObjName = 'peserta_delete';

	// Page headings
	var $Heading = '';
	var $Subheading = '';

	// Page heading
	function PageHeading() {
		global $Language;
		if ($this->Heading <> "")
			return $this->Heading;
		if (method_exists($this, "TableCaption"))
			return $this->TableCaption();
		return "";
	}

	// Page subheading
	function PageSubheading() {
		global $Language;
		if ($this->Subheading <> "")
			return $this->Subheading;
		if ($this->TableName)
			return $Language->Phrase($this->PageID);
		return "";
	}

	// Page name
	function PageName() {
		return ew_CurrentPage();
	}

	// Page URL
	function PageUrl() {
		$PageUrl = ew_CurrentPage() . "?";
		if ($this->UseTokenInUrl) $PageUrl .= "t=" . $this->TableVar . "&"; // Add page token
		return $PageUrl;
	}

	// Message
	function getMessage() {
		return @$_SESSION[EW_SESSION_MESSAGE];
	}

	function setMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_MESSAGE], $v);
	}

	function getFailureMessage() {
		return @$_SESSION[EW_SESSION_FAILURE_MESSAGE];
	}

	function setFailureMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_FAILURE_MESSAGE], $v);
	}

	function getSuccessMessage() {
		return @$_SESSION[EW_SESSION_SUCCESS_MESSAGE];
	}

	function setSuccessMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_SUCCESS_MESSAGE], $v);
	}

	function getWarningMessage() {
		return @$_SESSION[EW_SESSION_WARNING_MESSAGE];
	}

	function setWarningMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_WARNING_MESSAGE], $v);
	}

	// Methods to clear message
	function ClearMessage() {
		$_SESSION[EW_SESSION_MESSAGE] = "";
	}

	function ClearFailureMessage() {
		$_SESSION[EW_SESSION_FAILURE_MESSAGE] = "";
	}

	function ClearSuccessMessage() {
		$_SESSION[EW_SESSION_SUCCESS_MESSAGE] = "";
	}

	function ClearWarningMessage() {
		$_SESSION[EW_SESSION_WARNING_MESSAGE] = "";
	}

	function ClearMessages() {
		$_SESSION[EW_SESSION_MESSAGE] = "";
		$_SESSION[EW_SESSION_FAILURE_MESSAGE] = "";
		$_SESSION[EW_SESSION_SUCCESS_MESSAGE] = "";
		$_SESSION[EW_SESSION_WARNING_MESSAGE] = "";
	}

	// Show message
	function ShowMessage() {
		$hidden = FALSE;
		$html = "";

		// Message
		$sMessage = $this->getMessage();
		if (method_exists($this, "Message_Showing"))
			$this->Message_Showing($sMessage, "");
		if ($sMessage <> "") { // Message in Session, display
			if (!$hidden)
				$sMessage = "<button type=\"button\" class=\"close\" data-dismiss=\"alert\">&times;</button>" . $sMessage;
			$html .= "<div class=\"alert alert-info ewInfo\">" . $sMessage . "</div>";
			$_SESSION[EW_SESSION_MESSAGE] = ""; // Clear message in Session
		}

		// Warning message
		$sWarningMessage = $this->getWarningMessage();
		if (method_exists($this, "Message_Showing"))
			$this->Message_Showing($sWarningMessage, "warning");
		if ($sWarningMessage <> "") { // Message in Session, display
			if (!$hidden)
				$sWarningMessage = "<button type=\"button\" class=\"close\" data-dismiss=\"alert\">&times;</button>" . $sWarningMessage;
			$html .= "<div class=\"alert alert-warning ewWarning\">" . $sWarningMessage . "</div>";
			$_SESSION[EW_SESSION_WARNING_MESSAGE] = ""; // Clear message in Session
		}

		// Success message
		$sSuccessMessage = $this->getSuccessMessage();
		if (method_exists($this, "Message_Showing"))
			$this->Message_Showing($sSuccessMessage, "success");
		if ($sSuccessMessage <> "") { // Message in Session, display
			if (!$hidden)
				$sSuccessMessage = "<button type=\"button\" class=\"close\" data-dismiss=\"alert\">&times;</button>" . $sSuccessMessage;
			$html .= "<div class=\"alert alert-success ewSuccess\">" . $sSuccessMessage . "</div>";
			$_SESSION[EW_SESSION_SUCCESS_MESSAGE] = ""; // Clear message in Session
		}

		// Failure message
		$sErrorMessage = $this->getFailureMessage();
		if (method_exists($this, "Message_Showing"))
			$this->Message_Showing($sErrorMessage, "failure");
		if ($sErrorMessage <> "") { // Message in Session, display
			if (!$hidden)
				$sErrorMessage = "<button type=\"button\" class=\"close\" data-dismiss=\"alert\">&times;</button>" . $sErrorMessage;
			$html .= "<div class=\"alert alert-danger ewError\">" . $sErrorMessage . "</div>";
			$_SESSION[EW_SESSION_FAILURE_MESSAGE] = ""; // Clear message in Session
		}
		echo "<div class=\"ewMessageDialog\"" . (($hidden) ? " style=\"display: none;\"" : "") . ">" . $html . "</div>";
	}
	var $PageHeader;
	var $PageFooter;

	// Show Page Header
	function ShowPageHeader() {
		$sHeader = $this->PageHeader;
		$this->Page_DataRendering($sHeader);
		if ($sHeader <> "") { // Header exists, display
			echo "<p>" . $sHeader . "</p>";
		}
	}

	// Show Page Footer
	function ShowPageFooter() {
		$sFooter = $this->PageFooter;
		$this->Page_DataRendered($sFooter);
		if ($sFooter <> "") { // Footer exists, display
			echo "<p>" . $sFooter . "</p>";
		}
	}

	// Validate page request
	function IsPageRequest() {
		global $objForm;
		if ($this->UseTokenInUrl) {
			if ($objForm)
				return ($this->TableVar == $objForm->GetValue("t"));
			if (@$_GET["t"] <> "")
				return ($this->TableVar == $_GET["t"]);
		} else {
			return TRUE;
		}
	}
	var $Token = "";
	var $TokenTimeout = 0;
	var $CheckToken = EW_CHECK_TOKEN;
	var $CheckTokenFn = "ew_CheckToken";
	var $CreateTokenFn = "ew_CreateToken";

	// Valid Post
	function ValidPost() {
		if (!$this->CheckToken || !ew_IsPost())
			return TRUE;
		if (!isset($_POST[EW_TOKEN_NAME]))
			return FALSE;
		$fn = $this->CheckTokenFn;
		if (is_callable($fn))
			return $fn($_POST[EW_TOKEN_NAME], $this->TokenTimeout);
		return FALSE;
	}

	// Create Token
	function CreateToken() {
		global $gsToken;
		if ($this->CheckToken) {
			$fn = $this->CreateTokenFn;
			if ($this->Token == "" && is_callable($fn)) // Create token
				$this->Token = $fn();
			$gsToken = $this->Token; // Save to global variable
		}
	}

	//
	// Page class constructor
	//
	function __construct() {
		global $conn, $Language;
		global $UserTable, $UserTableConn;
		$GLOBALS["Page"] = &$this;
		$this->TokenTimeout = ew_SessionTimeoutTime();

		// Language object
		if (!isset($Language)) $Language = new cLanguage();

		// Parent constuctor
		parent::__construct();

		// Table object (peserta)
		if (!isset($GLOBALS["peserta"]) || get_class($GLOBALS["peserta"]) == "cpeserta") {
			$GLOBALS["peserta"] = &$this;
			$GLOBALS["Table"] = &$GLOBALS["peserta"];
		}

		// Table object (employees)
		if (!isset($GLOBALS['employees'])) $GLOBALS['employees'] = new cemployees();

		// Page ID
		if (!defined("EW_PAGE_ID"))
			define("EW_PAGE_ID", 'delete', TRUE);

		// Table name (for backward compatibility)
		if (!defined("EW_TABLE_NAME"))
			define("EW_TABLE_NAME", 'peserta', TRUE);

		// Start timer
		if (!isset($GLOBALS["gTimer"]))
			$GLOBALS["gTimer"] = new cTimer();

		// Debug message
		ew_LoadDebugMsg();

		// Open connection
		if (!isset($conn))
			$conn = ew_Connect($this->DBID);

		// User table object (employees)
		if (!isset($UserTable)) {
			$UserTable = new cemployees();
			$UserTableConn = Conn($UserTable->DBID);
		}
	}

	//
	//  Page_Init
	//
	function Page_Init() {
		global $gsExport, $gsCustomExport, $gsExportFile, $UserProfile, $Language, $Security, $objForm;

		// User profile
		$UserProfile = new cUserProfile();

		// Security
		$Security = new cAdvancedSecurity();
		if (!$Security->IsLoggedIn()) $Security->AutoLogin();
		if ($Security->IsLoggedIn()) $Security->TablePermission_Loading();
		$Security->LoadCurrentUserLevel($this->ProjectID . $this->TableName);
		if ($Security->IsLoggedIn()) $Security->TablePermission_Loaded();
		if (!$Security->CanDelete()) {
			$Security->SaveLastUrl();
			$this->setFailureMessage(ew_DeniedMsg()); // Set no permission
			if ($Security->CanList())
				$this->Page_Terminate(ew_GetUrl("pesertalist.php"));
			else
				$this->Page_Terminate(ew_GetUrl("login.php"));
		}

		// NOTE: Security object may be needed in other part of the script, skip set to Nothing
		// 
		// Security = null;
		// 

		$this->CurrentAction = (@$_GET["a"] <> "") ? $_GET["a"] : @$_POST["a_list"]; // Set up current action
		$this->pes_id->SetVisibility();
		if ($this->IsAdd() || $this->IsCopy() || $this->IsGridAdd())
			$this->pes_id->Visible = FALSE;
		$this->pes_nama->SetVisibility();
		$this->sos_id->SetVisibility();
		$this->co_id->SetVisibility();
		$this->prov_id->SetVisibility();
		$this->kab_id->SetVisibility();
		$this->kec_id->SetVisibility();
		$this->desa_id->SetVisibility();
		$this->pes_alamat->SetVisibility();
		$this->pes_hp->SetVisibility();
		$this->pes_foto->SetVisibility();
		$this->pes_luas_lahan->SetVisibility();
		$this->pes_r_tanam_tgl->SetVisibility();
		$this->pes_foto_lahan->SetVisibility();

		// Global Page Loading event (in userfn*.php)
		Page_Loading();

		// Page Load event
		$this->Page_Load();

		// Check token
		if (!$this->ValidPost()) {
			echo $Language->Phrase("InvalidPostRequest");
			$this->Page_Terminate();
			exit();
		}

		// Create Token
		$this->CreateToken();
	}

	//
	// Page_Terminate
	//
	function Page_Terminate($url = "") {
		global $gsExportFile, $gTmpImages;

		// Page Unload event
		$this->Page_Unload();

		// Global Page Unloaded event (in userfn*.php)
		Page_Unloaded();

		// Export
		global $EW_EXPORT, $peserta;
		if ($this->CustomExport <> "" && $this->CustomExport == $this->Export && array_key_exists($this->CustomExport, $EW_EXPORT)) {
				$sContent = ob_get_contents();
			if ($gsExportFile == "") $gsExportFile = $this->TableVar;
			$class = $EW_EXPORT[$this->CustomExport];
			if (class_exists($class)) {
				$doc = new $class($peserta);
				$doc->Text = $sContent;
				if ($this->Export == "email")
					echo $this->ExportEmail($doc->Text);
				else
					$doc->Export();
				ew_DeleteTmpImages(); // Delete temp images
				exit();
			}
		}
		$this->Page_Redirecting($url);

		// Close connection
		ew_CloseConn();

		// Go to URL if specified
		if ($url <> "") {
			if (!EW_DEBUG_ENABLED && ob_get_length())
				ob_end_clean();
			ew_SaveDebugMsg();
			header("Location: " . $url);
		}
		exit();
	}
	var $DbMasterFilter = "";
	var $DbDetailFilter = "";
	var $StartRec;
	var $TotalRecs = 0;
	var $RecCnt;
	var $RecKeys = array();
	var $Recordset;
	var $StartRowCnt = 1;
	var $RowCnt = 0;

	//
	// Page main
	//
	function Page_Main() {
		global $Language;

		// Set up Breadcrumb
		$this->SetupBreadcrumb();

		// Load key parameters
		$this->RecKeys = $this->GetRecordKeys(); // Load record keys
		$sFilter = $this->GetKeyFilter();
		if ($sFilter == "")
			$this->Page_Terminate("pesertalist.php"); // Prevent SQL injection, return to list

		// Set up filter (SQL WHHERE clause) and get return SQL
		// SQL constructor in peserta class, pesertainfo.php

		$this->CurrentFilter = $sFilter;

		// Get action
		if (@$_POST["a_delete"] <> "") {
			$this->CurrentAction = $_POST["a_delete"];
		} elseif (@$_GET["a_delete"] == "1") {
			$this->CurrentAction = "D"; // Delete record directly
		} else {
			$this->CurrentAction = "I"; // Display record
		}
		if ($this->CurrentAction == "D") {
			$this->SendEmail = TRUE; // Send email on delete success
			if ($this->DeleteRows()) { // Delete rows
				if ($this->getSuccessMessage() == "")
					$this->setSuccessMessage($Language->Phrase("DeleteSuccess")); // Set up success message
				$this->Page_Terminate($this->getReturnUrl()); // Return to caller
			} else { // Delete failed
				$this->CurrentAction = "I"; // Display record
			}
		}
		if ($this->CurrentAction == "I") { // Load records for display
			if ($this->Recordset = $this->LoadRecordset())
				$this->TotalRecs = $this->Recordset->RecordCount(); // Get record count
			if ($this->TotalRecs <= 0) { // No record found, exit
				if ($this->Recordset)
					$this->Recordset->Close();
				$this->Page_Terminate("pesertalist.php"); // Return to list
			}
		}
	}

	// Load recordset
	function LoadRecordset($offset = -1, $rowcnt = -1) {

		// Load List page SQL
		$sSql = $this->ListSQL();
		$conn = &$this->Connection();

		// Load recordset
		$dbtype = ew_GetConnectionType($this->DBID);
		if ($this->UseSelectLimit) {
			$conn->raiseErrorFn = $GLOBALS["EW_ERROR_FN"];
			if ($dbtype == "MSSQL") {
				$rs = $conn->SelectLimit($sSql, $rowcnt, $offset, array("_hasOrderBy" => trim($this->getOrderBy()) || trim($this->getSessionOrderByList())));
			} else {
				$rs = $conn->SelectLimit($sSql, $rowcnt, $offset);
			}
			$conn->raiseErrorFn = '';
		} else {
			$rs = ew_LoadRecordset($sSql, $conn);
		}

		// Call Recordset Selected event
		$this->Recordset_Selected($rs);
		return $rs;
	}

	// Load row based on key values
	function LoadRow() {
		global $Security, $Language;
		$sFilter = $this->KeyFilter();

		// Call Row Selecting event
		$this->Row_Selecting($sFilter);

		// Load SQL based on filter
		$this->CurrentFilter = $sFilter;
		$sSql = $this->SQL();
		$conn = &$this->Connection();
		$res = FALSE;
		$rs = ew_LoadRecordset($sSql, $conn);
		if ($rs && !$rs->EOF) {
			$res = TRUE;
			$this->LoadRowValues($rs); // Load row values
			$rs->Close();
		}
		return $res;
	}

	// Load row values from recordset
	function LoadRowValues($rs = NULL) {
		if ($rs && !$rs->EOF)
			$row = $rs->fields;
		else
			$row = $this->NewRow(); 

		// Call Row Selected event
		$this->Row_Selected($row);
		if (!$rs || $rs->EOF)
			return;
		$this->pes_id->setDbValue($row['pes_id']);
		$this->pes_nama->setDbValue($row['pes_nama']);
		$this->sos_id->setDbValue($row['sos_id']);
		$this->co_id->setDbValue($row['co_id']);
		$this->prov_id->setDbValue($row['prov_id']);
		if (array_key_exists('EV__prov_id', $rs->fields)) {
			$this->prov_id->VirtualValue = $rs->fields('EV__prov_id'); // Set up virtual field value
		} else {
			$this->prov_id->VirtualValue = ""; // Clear value
		}
		$this->kab_id->setDbValue($row['kab_id']);
		if (array_key_exists('EV__kab_id', $rs->fields)) {
			$this->kab_id->VirtualValue = $rs->fields('EV__kab_id'); // Set up virtual field value
		} else {
			$this->kab_id->VirtualValue = ""; // Clear value
		}
		$this->kec_id->setDbValue($row['kec_id']);
		if (array_key_exists('EV__kec_id', $rs->fields)) {
			$this->kec_id->VirtualValue = $rs->fields('EV__kec_id'); // Set up virtual field value
		} else {
			$this->kec_id->VirtualValue = ""; // Clear value
		}
		$this->desa_id->setDbValue($row['desa_id']);
		if (array_key_exists('EV__desa_id', $rs->fields)) {
			$this->desa_id->VirtualValue = $rs->fields('EV__desa_id'); // Set up virtual field value
		} else {
			$this->desa_id->VirtualValue = ""; // Clear value
		}
		$this->pes_alamat->setDbValue($row['pes_alamat']);
		$this->pes_hp->setDbValue($row['pes_hp']);
		$this->pes_foto->Upload->DbValue = $row['pes_foto'];
		$this->pes_foto->setDbValue($this->pes_foto->Upload->DbValue);
		$this->pes_luas_lahan->setDbValue($row['pes_luas_lahan']);
		$this->pes_r_tanam_tgl->setDbValue($row['pes_r_tanam_tgl']);
		$this->pes_foto_lahan->Upload->DbValue = $row['pes_foto_lahan'];
		$this->pes_foto_lahan->setDbValue($this->pes_foto_lahan->Upload->DbValue);
	}

	// Return a row with default values
	function NewRow() {
		$row = array();
		$row['pes_id'] = NULL;
		$row['pes_nama'] = NULL;
		$row['sos_id'] = NULL;
		$row['co_id'] = NULL;
		$row['prov_id'] = NULL;
		$row['kab_id'] = NULL;
		$row['kec_id'] = NULL;
		$row['desa_id'] = NULL;
		$row['pes_alamat'] = NULL;
		$row['pes_hp'] = NULL;
		$row['pes_foto'] = NULL;
		$row['pes_luas_lahan'] = NULL;
		$row['pes_r_tanam_tgl'] = NULL;
		$row['pes_foto_lahan'] = NULL;
		return $row;
	}

	// Load DbValue from recordset
	function LoadDbValues(&$rs) {
		if (!$rs || !is_array($rs) && $rs->EOF)
			return;
		$row = is_array($rs) ? $rs : $rs->fields;
		$this->pes_id->DbValue = $row['pes_id'];
		$this->pes_nama->DbValue = $row['pes_nama'];
		$this->sos_id->DbValue = $row['sos_id'];
		$this->co_id->DbValue = $row['co_id'];
		$this->prov_id->DbValue = $row['prov_id'];
		$this->kab_id->DbValue = $row['kab_id'];
		$this->kec_id->DbValue = $row['kec_id'];
		$this->desa_id->DbValue = $row['desa_id'];
		$this->pes_alamat->DbValue = $row['pes_alamat'];
		$this->pes_hp->DbValue = $row['pes_hp'];
		$this->pes_foto->Upload->DbValue = $row['pes_foto'];
		$this->pes_luas_lahan->DbValue = $row['pes_luas_lahan'];
		$this->pes_r_tanam_tgl->DbValue = $row['pes_r_tanam_tgl'];
		$this->pes_foto_lahan->Upload->DbValue = $row['pes_foto_lahan'];
	}

	// Render row values based on field settings
	function RenderRow() {
		global $Security, $Language, $gsLanguage;

		// Initialize URLs
		// Call Row_Rendering event

		$this->Row_Rendering();

		// Common render codes for all row types
		// pes_id
		// pes_nama
		// sos_id
		// co_id
		// prov_id
		// kab_id
		// kec_id
		// desa_id
		// pes_alamat
		// pes_hp
		// pes_foto
		// pes_luas_lahan
		// pes_r_tanam_tgl
		// pes_foto_lahan

		if ($this->RowType == EW_ROWTYPE_VIEW) { // View row

		// pes_id
		$this->pes_id->ViewValue = $this->pes_id->CurrentValue;
		$this->pes_id->ViewCustomAttributes = "";

		// pes_nama
		$this->pes_nama->ViewValue = $this->pes_nama->CurrentValue;
		$this->pes_nama->ViewCustomAttributes = "";

		// sos_id
		if (strval($this->sos_id->CurrentValue) <> "") {
			$sFilterWrk = "`sos_id`" . ew_SearchString("=", $this->sos_id->CurrentValue, EW_DATATYPE_NUMBER, "");
		$sSqlWrk = "SELECT `sos_id`, `sos_tgl` AS `DispFld`, `sos_kab` AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `sosialisasi`";
		$sWhereWrk = "";
		$this->sos_id->LookupFilters = array("df1" => "0");
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->sos_id, $sWhereWrk); // Call Lookup Selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
		$sSqlWrk .= " ORDER BY `sos_id` DESC";
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$arwrk = array();
				$arwrk[1] = ew_FormatDateTime($rswrk->fields('DispFld'), 0);
				$arwrk[2] = $rswrk->fields('Disp2Fld');
				$this->sos_id->ViewValue = $this->sos_id->DisplayValue($arwrk);
				$rswrk->Close();
			} else {
				$this->sos_id->ViewValue = $this->sos_id->CurrentValue;
			}
		} else {
			$this->sos_id->ViewValue = NULL;
		}
		$this->sos_id->ViewCustomAttributes = "";

		// co_id
		if (strval($this->co_id->CurrentValue) <> "") {
			$sFilterWrk = "`co_id`" . ew_SearchString("=", $this->co_id->CurrentValue, EW_DATATYPE_NUMBER, "");
		$sSqlWrk = "SELECT `co_id`, `co_nama` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `co`";
		$sWhereWrk = "";
		$this->co_id->LookupFilters = array();
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->co_id, $sWhereWrk); // Call Lookup Selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$arwrk = array();
				$arwrk[1] = $rswrk->fields('DispFld');
				$this->co_id->ViewValue = $this->co_id->DisplayValue($arwrk);
				$rswrk->Close();
			} else {
				$this->co_id->ViewValue = $this->co_id->CurrentValue;
			}
		} else {
			$this->co_id->ViewValue = NULL;
		}
		$this->co_id->ViewCustomAttributes = "";

		// prov_id
		if ($this->prov_id->VirtualValue <> "") {
			$this->prov_id->ViewValue = $this->prov_id->VirtualValue;
		} else {
		if (strval($this->prov_id->CurrentValue) <> "") {
			$sFilterWrk = "`prov_id`" . ew_SearchString("=", $this->prov_id->CurrentValue, EW_DATATYPE_NUMBER, "");
		$sSqlWrk = "SELECT `prov_id`, `prov_nama` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `prov`";
		$sWhereWrk = "";
		$this->prov_id->LookupFilters = array();
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->prov_id, $sWhereWrk); // Call Lookup Selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
		$sSqlWrk .= " ORDER BY `prov_nama` ASC";
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$arwrk = array();
				$arwrk[1] = $rswrk->fields('DispFld');
				$this->prov_id->ViewValue = $this->prov_id->DisplayValue($arwrk);
				$rswrk->Close();
			} else {
				$this->prov_id->ViewValue = $this->prov_id->CurrentValue;
			}
		} else {
			$this->prov_id->ViewValue = NULL;
		}
		}
		$this->prov_id->ViewCustomAttributes = "";

		// kab_id
		if ($this->kab_id->VirtualValue <> "") {
			$this->kab_id->ViewValue = $this->kab_id->VirtualValue;
		} else {
		if (strval($this->kab_id->CurrentValue) <> "") {
			$sFilterWrk = "`kab_id`" . ew_SearchString("=", $this->kab_id->CurrentValue, EW_DATATYPE_NUMBER, "");
		$sSqlWrk = "SELECT `kab_id`, `kab_nama` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `kab`";
		$sWhereWrk = "";
		$this->kab_id->LookupFilters = array();
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->kab_id, $sWhereWrk); // Call Lookup Selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
		$sSqlWrk .= " ORDER BY `kab_nama` ASC";
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$arwrk = array();
				$arwrk[1] = $rswrk->fields('DispFld');
				$this->kab_id->ViewValue = $this->kab_id->DisplayValue($arwrk);
				$rswrk->Close();
			} else {
				$this->kab_id->ViewValue = $this->kab_id->CurrentValue;
			}
		} else {
			$this->kab_id->ViewValue = NULL;
		}
		}
		$this->kab_id->ViewCustomAttributes = "";

		// kec_id
		if ($this->kec_id->VirtualValue <> "") {
			$this->kec_id->ViewValue = $this->kec_id->VirtualValue;
		} else {
		if (strval($this->kec_id->CurrentValue) <> "") {
			$sFilterWrk = "`kec_id`" . ew_SearchString("=", $this->kec_id->CurrentValue, EW_DATATYPE_NUMBER, "");
		$sSqlWrk = "SELECT `kec_id`, `kec_nama` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `kec`";
		$sWhereWrk = "";
		$this->kec_id->LookupFilters = array();
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->kec_id, $sWhereWrk); // Call Lookup Selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
		$sSqlWrk .= " ORDER BY `kec_nama` ASC";
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$arwrk = array();
				$arwrk[1] = $rswrk->fields('DispFld');
				$this->kec_id->ViewValue = $this->kec_id->DisplayValue($arwrk);
				$rswrk->Close();
			} else {
				$this->kec_id->ViewValue = $this->kec_id->CurrentValue;
			}
		} else {
			$this->kec_id->ViewValue = NULL;
		}
		}
		$this->kec_id->ViewCustomAttributes = "";

		// desa_id
		if ($this->desa_id->VirtualValue <> "") {
			$this->desa_id->ViewValue = $this->desa_id->VirtualValue;
		} else {
		if (strval($this->desa_id->CurrentValue) <> "") {
			$sFilterWrk = "`desa_id`" . ew_SearchString("=", $this->desa_id->CurrentValue, EW_DATATYPE_NUMBER, "");
		$sSqlWrk = "SELECT `desa_id`, `desa_nama` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `desa`";
		$sWhereWrk = "";
		$this->desa_id->LookupFilters = array();
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->desa_id, $sWhereWrk); // Call Lookup Selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
		$sSqlWrk .= " ORDER BY `desa_nama` ASC";
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$arwrk = array();
				$arwrk[1] = $rswrk->fields('DispFld');
				$this->desa_id->ViewValue = $this->desa_id->DisplayValue($arwrk);
				$rswrk->Close();
			} else {
				$this->desa_id->ViewValue = $this->desa_id->CurrentValue;
			}
		} else {
			$this->desa_id->ViewValue = NULL;
		}
		}
		$this->desa_id->ViewCustomAttributes = "";

		// pes_alamat
		$this->pes_alamat->ViewValue = $this->pes_alamat->CurrentValue;
		$this->pes_alamat->ViewCustomAttributes = "";

		// pes_hp
		$this->pes_hp->ViewValue = $this->pes_hp->CurrentValue;
		$this->pes_hp->ViewCustomAttributes = "";

		// pes_foto
		$this->pes_foto->UploadPath = "foto_peserta";
		if (!ew_Empty($this->pes_foto->Upload->DbValue)) {
			$this->pes_foto->ImageWidth = 60;
			$this->pes_foto->ImageHeight = 60;
			$this->pes_foto->ImageAlt = $this->pes_foto->FldAlt();
			$this->pes_foto->ViewValue = $this->pes_foto->Upload->DbValue;
		} else {
			$this->pes_foto->ViewValue = "";
		}
		$this->pes_foto->ViewCustomAttributes = "";

		// pes_luas_lahan
		$this->pes_luas_lahan->ViewValue = $this->pes_luas_lahan->CurrentValue;
		$this->pes_luas_lahan->CellCssStyle .= "text-align: right;";
		$this->pes_luas_lahan->ViewCustomAttributes = "";

		// pes_r_tanam_tgl
		$this->pes_r_tanam_tgl->ViewValue = $this->pes_r_tanam_tgl->CurrentValue;
		$this->pes_r_tanam_tgl->ViewValue = ew_FormatDateTime($this->pes_r_tanam_tgl->ViewValue, 0);
		$this->pes_r_tanam_tgl->ViewCustomAttributes = "";

		// pes_foto_lahan
		$this->pes_foto_lahan->UploadPath = "foto_potensi_lahan";
		if (!ew_Empty($this->pes_foto_lahan->Upload->DbValue)) {
			$this->pes_foto_lahan->ImageWidth = 80;
			$this->pes_foto_lahan->ImageHeight = 60;
			$this->pes_foto_lahan->ImageAlt = $this->pes_foto_lahan->FldAlt();
			$this->pes_foto_lahan->ViewValue = $this->pes_foto_lahan->Upload->DbValue;
		} else {
			$this->pes_foto_lahan->ViewValue = "";
		}
		$this->pes_foto_lahan->ViewCustomAttributes = "";

			// pes_id
			$this->pes_id->LinkCustomAttributes = "";
			$this->pes_id->HrefValue = "";
			$this->pes_id->TooltipValue = "";

			// pes_nama
			$this->pes_nama->LinkCustomAttributes = "";
			$this->pes_nama->HrefValue = "";
			$this->pes_nama->TooltipValue = "";

			// sos_id
			$this->sos_id->LinkCustomAttributes = "";
			$this->sos_id->HrefValue = "";
			$this->sos_id->TooltipValue = "";

			// co_id
			$this->co_id->LinkCustomAttributes = "";
			$this->co_id->HrefValue = "";
			$this->co_id->TooltipValue = "";

			// prov_id
			$this->prov_id->LinkCustomAttributes = "";
			$this->prov_id->HrefValue = "";
			$this->prov_id->TooltipValue = "";

			// kab_id
			$this->kab_id->LinkCustomAttributes = "";
			$this->kab_id->HrefValue = "";
			$this->kab_id->TooltipValue = "";

			// kec_id
			$this->kec_id->LinkCustomAttributes = "";
			$this->kec_id->HrefValue = "";
			$this->kec_id->TooltipValue = "";

			// desa_id
			$this->desa_id->LinkCustomAttributes = "";
			$this->desa_id->HrefValue = "";
			$this->desa_id->TooltipValue = "";

			// pes_alamat
			$this->pes_alamat->LinkCustomAttributes = "";
			$this->pes_alamat->HrefValue = "";
			$this->pes_alamat->TooltipValue = "";

			// pes_hp
			$this->pes_hp->LinkCustomAttributes = "";
			$this->pes_hp->HrefValue = "";
			$this->pes_hp->TooltipValue = "";

			// pes_foto
			$this->pes_foto->LinkCustomAttributes = "";
			$this->pes_foto->UploadPath = "foto_peserta";
			if (!ew_Empty($this->pes_foto->Upload->DbValue)) {
				$this->pes_foto->HrefValue = ew_GetFileUploadUrl($this->pes_foto, $this->pes_foto->Upload->DbValue); // Add prefix/suffix
				$this->pes_foto->LinkAttrs["target"] = ""; // Add target
				if ($this->Export <> "") $this->pes_foto->HrefValue = ew_FullUrl($this->pes_foto->HrefValue, "href");
			} else {
				$this->pes_foto->HrefValue = "";
			}
			$this->pes_foto->HrefValue2 = $this->pes_foto->UploadPath . $this->pes_foto->Upload->DbValue;
			$this->pes_foto->TooltipValue = "";
			if ($this->pes_foto->UseColorbox) {
				if (ew_Empty($this->pes_foto->TooltipValue))
					$this->pes_foto->LinkAttrs["title"] = $Language->Phrase("ViewImageGallery");
				$this->pes_foto->LinkAttrs["data-rel"] = "peserta_x_pes_foto";
				ew_AppendClass($this->pes_foto->LinkAttrs["class"], "ewLightbox");
			}

			// pes_luas_lahan
			$this->pes_luas_lahan->LinkCustomAttributes = "";
			$this->pes_luas_lahan->HrefValue = "";
			$this->pes_luas_lahan->TooltipValue = "";

			// pes_r_tanam_tgl
			$this->pes_r_tanam_tgl->LinkCustomAttributes = "";
			$this->pes_r_tanam_tgl->HrefValue = "";
			$this->pes_r_tanam_tgl->TooltipValue = "";

			// pes_foto_lahan
			$this->pes_foto_lahan->LinkCustomAttributes = "";
			$this->pes_foto_lahan->UploadPath = "foto_potensi_lahan";
			if (!ew_Empty($this->pes_foto_lahan->Upload->DbValue)) {
				$this->pes_foto_lahan->HrefValue = "%u"; // Add prefix/suffix
				$this->pes_foto_lahan->LinkAttrs["target"] = ""; // Add target
				if ($this->Export <> "") $this->pes_foto_lahan->HrefValue = ew_FullUrl($this->pes_foto_lahan->HrefValue, "href");
			} else {
				$this->pes_foto_lahan->HrefValue = "";
			}
			$this->pes_foto_lahan->HrefValue2 = $this->pes_foto_lahan->UploadPath . $this->pes_foto_lahan->Upload->DbValue;
			$this->pes_foto_lahan->TooltipValue = "";
			if ($this->pes_foto_lahan->UseColorbox) {
				if (ew_Empty($this->pes_foto_lahan->TooltipValue))
					$this->pes_foto_lahan->LinkAttrs["title"] = $Language->Phrase("ViewImageGallery");
				$this->pes_foto_lahan->LinkAttrs["data-rel"] = "peserta_x_pes_foto_lahan";
				ew_AppendClass($this->pes_foto_lahan->LinkAttrs["class"], "ewLightbox");
			}
		}

		// Call Row Rendered event
		if ($this->RowType <> EW_ROWTYPE_AGGREGATEINIT)
			$this->Row_Rendered();
	}

	//
	// Delete records based on current filter
	//
	function DeleteRows() {
		global $Language, $Security;
		if (!$Security->CanDelete()) {
			$this->setFailureMessage($Language->Phrase("NoDeletePermission")); // No delete permission
			return FALSE;
		}
		$DeleteRows = TRUE;
		$sSql = $this->SQL();
		$conn = &$this->Connection();
		$conn->raiseErrorFn = $GLOBALS["EW_ERROR_FN"];
		$rs = $conn->Execute($sSql);
		$conn->raiseErrorFn = '';
		if ($rs === FALSE) {
			return FALSE;
		} elseif ($rs->EOF) {
			$this->setFailureMessage($Language->Phrase("NoRecord")); // No record found
			$rs->Close();
			return FALSE;
		}
		$rows = ($rs) ? $rs->GetRows() : array();
		$conn->BeginTrans();

		// Clone old rows
		$rsold = $rows;
		if ($rs)
			$rs->Close();

		// Call row deleting event
		if ($DeleteRows) {
			foreach ($rsold as $row) {
				$DeleteRows = $this->Row_Deleting($row);
				if (!$DeleteRows) break;
			}
		}
		if ($DeleteRows) {
			$sKey = "";
			foreach ($rsold as $row) {
				$sThisKey = "";
				if ($sThisKey <> "") $sThisKey .= $GLOBALS["EW_COMPOSITE_KEY_SEPARATOR"];
				$sThisKey .= $row['pes_id'];

				// Delete old files
				$this->LoadDbValues($row);
				$this->pes_foto->OldUploadPath = "foto_peserta";
				$OldFiles = ew_Empty($row['pes_foto']) ? array() : array($row['pes_foto']);
				$OldFileCount = count($OldFiles);
				for ($i = 0; $i < $OldFileCount; $i++) {
					if (file_exists($this->pes_foto->OldPhysicalUploadPath() . $OldFiles[$i]))
						@unlink($this->pes_foto->OldPhysicalUploadPath() . $OldFiles[$i]);
				}
				$this->pes_foto_lahan->OldUploadPath = "foto_potensi_lahan";
				$OldFiles = ew_Empty($row['pes_foto_lahan']) ? array() : explode(EW_MULTIPLE_UPLOAD_SEPARATOR, $row['pes_foto_lahan']);
				$OldFileCount = count($OldFiles);
				for ($i = 0; $i < $OldFileCount; $i++) {
					if (file_exists($this->pes_foto_lahan->OldPhysicalUploadPath() . $OldFiles[$i]))
						@unlink($this->pes_foto_lahan->OldPhysicalUploadPath() . $OldFiles[$i]);
				}
				$conn->raiseErrorFn = $GLOBALS["EW_ERROR_FN"];
				$DeleteRows = $this->Delete($row); // Delete
				$conn->raiseErrorFn = '';
				if ($DeleteRows === FALSE)
					break;
				if ($sKey <> "") $sKey .= ", ";
				$sKey .= $sThisKey;
			}
		}
		if (!$DeleteRows) {

			// Set up error message
			if ($this->getSuccessMessage() <> "" || $this->getFailureMessage() <> "") {

				// Use the message, do nothing
			} elseif ($this->CancelMessage <> "") {
				$this->setFailureMessage($this->CancelMessage);
				$this->CancelMessage = "";
			} else {
				$this->setFailureMessage($Language->Phrase("DeleteCancelled"));
			}
		}
		if ($DeleteRows) {
			$conn->CommitTrans(); // Commit the changes
		} else {
			$conn->RollbackTrans(); // Rollback changes
		}

		// Call Row Deleted event
		if ($DeleteRows) {
			foreach ($rsold as $row) {
				$this->Row_Deleted($row);
			}
		}
		return $DeleteRows;
	}

	// Set up Breadcrumb
	function SetupBreadcrumb() {
		global $Breadcrumb, $Language;
		$Breadcrumb = new cBreadcrumb();
		$url = substr(ew_CurrentUrl(), strrpos(ew_CurrentUrl(), "/")+1);
		$Breadcrumb->Add("list", $this->TableVar, $this->AddMasterUrl("pesertalist.php"), "", $this->TableVar, TRUE);
		$PageId = "delete";
		$Breadcrumb->Add("delete", $PageId, $url);
	}

	// Setup lookup filters of a field
	function SetupLookupFilters($fld, $pageId = null) {
		global $gsLanguage;
		$pageId = $pageId ?: $this->PageID;
		switch ($fld->FldVar) {
		}
	}

	// Setup AutoSuggest filters of a field
	function SetupAutoSuggestFilters($fld, $pageId = null) {
		global $gsLanguage;
		$pageId = $pageId ?: $this->PageID;
		switch ($fld->FldVar) {
		}
	}

	// Page Load event
	function Page_Load() {

		//echo "Page Load";
	}

	// Page Unload event
	function Page_Unload() {

		//echo "Page Unload";
	}

	// Page Redirecting event
	function Page_Redirecting(&$url) {

		// Example:
		//$url = "your URL";

	}

	// Message Showing event
	// $type = ''|'success'|'failure'|'warning'
	function Message_Showing(&$msg, $type) {
		if ($type == 'success') {

			//$msg = "your success message";
		} elseif ($type == 'failure') {

			//$msg = "your failure message";
		} elseif ($type == 'warning') {

			//$msg = "your warning message";
		} else {

			//$msg = "your message";
		}
	}

	// Page Render event
	function Page_Render() {

		//echo "Page Render";
	}

	// Page Data Rendering event
	function Page_DataRendering(&$header) {

		// Example:
		//$header = "your header";

	}

	// Page Data Rendered event
	function Page_DataRendered(&$footer) {

		// Example:
		//$footer = "your footer";

	}
}
?>
<?php ew_Header(FALSE) ?>
<?php

// Create page object
if (!isset($peserta_delete)) $peserta_delete = new cpeserta_delete();

// Page init
$peserta_delete->Page_Init();

// Page main
$peserta_delete->Page_Main();

// Global Page Rendering event (in userfn*.php)
Page_Rendering();

// Page Rendering event
$peserta_delete->Page_Render();
?>
<?php include_once "header.php" ?>
<script type="text/javascript">

// Form object
var CurrentPageID = EW_PAGE_ID = "delete";
var CurrentForm = fpesertadelete = new ew_Form("fpesertadelete", "delete");

// Form_CustomValidate event
fpesertadelete.Form_CustomValidate = 
 function(fobj) { // DO NOT CHANGE THIS LINE!

 	// Your custom validation code here, return false if invalid.
 	return true;
 }

// Use JavaScript validation or not
fpesertadelete.ValidateRequired = <?php echo json_encode(EW_CLIENT_VALIDATE) ?>;

// Dynamic selection lists
fpesertadelete.Lists["x_sos_id"] = {"LinkField":"x_sos_id","Ajax":true,"AutoFill":false,"DisplayFields":["x_sos_tgl","x_sos_kab","",""],"ParentFields":[],"ChildFields":[],"FilterFields":[],"Options":[],"Template":"","LinkTable":"sosialisasi"};
fpesertadelete.Lists["x_sos_id"].Data = "<?php echo $peserta_delete->sos_id->LookupFilterQuery(FALSE, "delete") ?>";
fpesertadelete.Lists["x_co_id"] = {"LinkField":"x_co_id","Ajax":true,"AutoFill":false,"DisplayFields":["x_co_nama","","",""],"ParentFields":[],"ChildFields":[],"FilterFields":[],"Options":[],"Template":"","LinkTable":"co"};
fpesertadelete.Lists["x_co_id"].Data = "<?php echo $peserta_delete->co_id->LookupFilterQuery(FALSE, "delete") ?>";
fpesertadelete.Lists["x_prov_id"] = {"LinkField":"x_prov_id","Ajax":true,"AutoFill":false,"DisplayFields":["x_prov_nama","","",""],"ParentFields":[],"ChildFields":["x_kab_id","x_kec_id","x_desa_id"],"FilterFields":[],"Options":[],"Template":"","LinkTable":"prov"};
fpesertadelete.Lists["x_prov_id"].Data = "<?php echo $peserta_delete->prov_id->LookupFilterQuery(FALSE, "delete") ?>";
fpesertadelete.Lists["x_kab_id"] = {"LinkField":"x_kab_id","Ajax":true,"AutoFill":false,"DisplayFields":["x_kab_nama","","",""],"ParentFields":[],"ChildFields":["x_kec_id","x_desa_id"],"FilterFields":[],"Options":[],"Template":"","LinkTable":"kab"};
fpesertadelete.Lists["x_kab_id"].Data = "<?php echo $peserta_delete->kab_id->LookupFilterQuery(FALSE, "delete") ?>";
fpesertadelete.Lists["x_kec_id"] = {"LinkField":"x_kec_id","Ajax":true,"AutoFill":false,"DisplayFields":["x_kec_nama","","",""],"ParentFields":[],"ChildFields":["x_desa_id"],"FilterFields":[],"Options":[],"Template":"","LinkTable":"kec"};
fpesertadelete.Lists["x_kec_id"].Data = "<?php echo $peserta_delete->kec_id->LookupFilterQuery(FALSE, "delete") ?>";
fpesertadelete.Lists["x_desa_id"] = {"LinkField":"x_desa_id","Ajax":true,"AutoFill":false,"DisplayFields":["x_desa_nama","","",""],"ParentFields":[],"ChildFields":[],"FilterFields":[],"Options":[],"Template":"","LinkTable":"desa"};
fpesertadelete.Lists["x_desa_id"].Data = "<?php echo $peserta_delete->desa_id->LookupFilterQuery(FALSE, "delete") ?>";

// Form object for search
</script>
<script type="text/javascript">

// Write your client script here, no need to add script tags.
</script>
<?php $peserta_delete->ShowPageHeader(); ?>
<?php
$peserta_delete->ShowMessage();
?>
<form name="fpesertadelete" id="fpesertadelete" class="form-inline ewForm ewDeleteForm" action="<?php echo ew_CurrentPage() ?>" method="post">
<?php if ($peserta_delete->CheckToken) { ?>
<input type="hidden" name="<?php echo EW_TOKEN_NAME ?>" value="<?php echo $peserta_delete->Token ?>">
<?php } ?>
<input type="hidden" name="t" value="peserta">
<input type="hidden" name="a_delete" id="a_delete" value="D">
<?php foreach ($peserta_delete->RecKeys as $key) { ?>
<?php $keyvalue = is_array($key) ? implode($EW_COMPOSITE_KEY_SEPARATOR, $key) : $key; ?>
<input type="hidden" name="key_m[]" value="<?php echo ew_HtmlEncode($keyvalue) ?>">
<?php } ?>
<div class="box ewBox ewGrid">
<div class="<?php if (ew_IsResponsiveLayout()) { ?>table-responsive <?php } ?>ewGridMiddlePanel">
<table class="table ewTable">
	<thead>
	<tr class="ewTableHeader">
<?php if ($peserta->pes_id->Visible) { // pes_id ?>
		<th class="<?php echo $peserta->pes_id->HeaderCellClass() ?>"><span id="elh_peserta_pes_id" class="peserta_pes_id"><?php echo $peserta->pes_id->FldCaption() ?></span></th>
<?php } ?>
<?php if ($peserta->pes_nama->Visible) { // pes_nama ?>
		<th class="<?php echo $peserta->pes_nama->HeaderCellClass() ?>"><span id="elh_peserta_pes_nama" class="peserta_pes_nama"><?php echo $peserta->pes_nama->FldCaption() ?></span></th>
<?php } ?>
<?php if ($peserta->sos_id->Visible) { // sos_id ?>
		<th class="<?php echo $peserta->sos_id->HeaderCellClass() ?>"><span id="elh_peserta_sos_id" class="peserta_sos_id"><?php echo $peserta->sos_id->FldCaption() ?></span></th>
<?php } ?>
<?php if ($peserta->co_id->Visible) { // co_id ?>
		<th class="<?php echo $peserta->co_id->HeaderCellClass() ?>"><span id="elh_peserta_co_id" class="peserta_co_id"><?php echo $peserta->co_id->FldCaption() ?></span></th>
<?php } ?>
<?php if ($peserta->prov_id->Visible) { // prov_id ?>
		<th class="<?php echo $peserta->prov_id->HeaderCellClass() ?>"><span id="elh_peserta_prov_id" class="peserta_prov_id"><?php echo $peserta->prov_id->FldCaption() ?></span></th>
<?php } ?>
<?php if ($peserta->kab_id->Visible) { // kab_id ?>
		<th class="<?php echo $peserta->kab_id->HeaderCellClass() ?>"><span id="elh_peserta_kab_id" class="peserta_kab_id"><?php echo $peserta->kab_id->FldCaption() ?></span></th>
<?php } ?>
<?php if ($peserta->kec_id->Visible) { // kec_id ?>
		<th class="<?php echo $peserta->kec_id->HeaderCellClass() ?>"><span id="elh_peserta_kec_id" class="peserta_kec_id"><?php echo $peserta->kec_id->FldCaption() ?></span></th>
<?php } ?>
<?php if ($peserta->desa_id->Visible) { // desa_id ?>
		<th class="<?php echo $peserta->desa_id->HeaderCellClass() ?>"><span id="elh_peserta_desa_id" class="peserta_desa_id"><?php echo $peserta->desa_id->FldCaption() ?></span></th>
<?php } ?>
<?php if ($peserta->pes_alamat->Visible) { // pes_alamat ?>
		<th class="<?php echo $peserta->pes_alamat->HeaderCellClass() ?>"><span id="elh_peserta_pes_alamat" class="peserta_pes_alamat"><?php echo $peserta->pes_alamat->FldCaption() ?></span></th>
<?php } ?>
<?php if ($peserta->pes_hp->Visible) { // pes_hp ?>
		<th class="<?php echo $peserta->pes_hp->HeaderCellClass() ?>"><span id="elh_peserta_pes_hp" class="peserta_pes_hp"><?php echo $peserta->pes_hp->FldCaption() ?></span></th>
<?php } ?>
<?php if ($peserta->pes_foto->Visible) { // pes_foto ?>
		<th class="<?php echo $peserta->pes_foto->HeaderCellClass() ?>"><span id="elh_peserta_pes_foto" class="peserta_pes_foto"><?php echo $peserta->pes_foto->FldCaption() ?></span></th>
<?php } ?>
<?php if ($peserta->pes_luas_lahan->Visible) { // pes_luas_lahan ?>
		<th class="<?php echo $peserta->pes_luas_lahan->HeaderCellClass() ?>"><span id="elh_peserta_pes_luas_lahan" class="peserta_pes_luas_lahan"><?php echo $peserta->pes_luas_lahan->FldCaption() ?></span></th>
<?php } ?>
<?php if ($peserta->pes_r_tanam_tgl->Visible) { // pes_r_tanam_tgl ?>
		<th class="<?php echo $peserta->pes_r_tanam_tgl->HeaderCellClass() ?>"><span id="elh_peserta_pes_r_tanam_tgl" class="peserta_pes_r_tanam_tgl"><?php echo $peserta->pes_r_tanam_tgl->FldCaption() ?></span></th>
<?php } ?>
<?php if ($peserta->pes_foto_lahan->Visible) { // pes_foto_lahan ?>
		<th class="<?php echo $peserta->pes_foto_lahan->HeaderCellClass() ?>"><span id="elh_peserta_pes_foto_lahan" class="peserta_pes_foto_lahan"><?php echo $peserta->pes_foto_lahan->FldCaption() ?></span></th>
<?php } ?>
	</tr>
	</thead>
	<tbody>
<?php
$peserta_delete->RecCnt = 0;
$i = 0;
while (!$peserta_delete->Recordset->EOF) {
	$peserta_delete->RecCnt++;
	$peserta_delete->RowCnt++;

	// Set row properties
	$peserta->ResetAttrs();
	$peserta->RowType = EW_ROWTYPE_VIEW; // View

	// Get the field contents
	$peserta_delete->LoadRowValues($peserta_delete->Recordset);

	// Render row
	$peserta_delete->RenderRow();
?>
	<tr<?php echo $peserta->RowAttributes() ?>>
<?php if ($peserta->pes_id->Visible) { // pes_id ?>
		<td<?php echo $peserta->pes_id->CellAttributes() ?>>
<span id="el<?php echo $peserta_delete->RowCnt ?>_peserta_pes_id" class="peserta_pes_id">
<span<?php echo $peserta->pes_id->ViewAttributes() ?>>
<?php echo $peserta->pes_id->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($peserta->pes_nama->Visible) { // pes_nama ?>
		<td<?php echo $peserta->pes_nama->CellAttributes() ?>>
<span id="el<?php echo $peserta_delete->RowCnt ?>_peserta_pes_nama" class="peserta_pes_nama">
<span<?php echo $peserta->pes_nama->ViewAttributes() ?>>
<?php echo $peserta->pes_nama->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($peserta->sos_id->Visible) { // sos_id ?>
		<td<?php echo $peserta->sos_id->CellAttributes() ?>>
<span id="el<?php echo $peserta_delete->RowCnt ?>_peserta_sos_id" class="peserta_sos_id">
<span<?php echo $peserta->sos_id->ViewAttributes() ?>>
<?php echo $peserta->sos_id->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($peserta->co_id->Visible) { // co_id ?>
		<td<?php echo $peserta->co_id->CellAttributes() ?>>
<span id="el<?php echo $peserta_delete->RowCnt ?>_peserta_co_id" class="peserta_co_id">
<span<?php echo $peserta->co_id->ViewAttributes() ?>>
<?php echo $peserta->co_id->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($peserta->prov_id->Visible) { // prov_id ?>
		<td<?php echo $peserta->prov_id->CellAttributes() ?>>
<span id="el<?php echo $peserta_delete->RowCnt ?>_peserta_prov_id" class="peserta_prov_id">
<span<?php echo $peserta->prov_id->ViewAttributes() ?>>
<?php echo $peserta->prov_id->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($peserta->kab_id->Visible) { // kab_id ?>
		<td<?php echo $peserta->kab_id->CellAttributes() ?>>
<span id="el<?php echo $peserta_delete->RowCnt ?>_peserta_kab_id" class="peserta_kab_id">
<span<?php echo $peserta->kab_id->ViewAttributes() ?>>
<?php echo $peserta->kab_id->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($peserta->kec_id->Visible) { // kec_id ?>
		<td<?php echo $peserta->kec_id->CellAttributes() ?>>
<span id="el<?php echo $peserta_delete->RowCnt ?>_peserta_kec_id" class="peserta_kec_id">
<span<?php echo $peserta->kec_id->ViewAttributes() ?>>
<?php echo $peserta->kec_id->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($peserta->desa_id->Visible) { // desa_id ?>
		<td<?php echo $peserta->desa_id->CellAttributes() ?>>
<span id="el<?php echo $peserta_delete->RowCnt ?>_peserta_desa_id" class="peserta_desa_id">
<span<?php echo $peserta->desa_id->ViewAttributes() ?>>
<?php echo $peserta->desa_id->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($peserta->pes_alamat->Visible) { // pes_alamat ?>
		<td<?php echo $peserta->pes_alamat->CellAttributes() ?>>
<span id="el<?php echo $peserta_delete->RowCnt ?>_peserta_pes_alamat" class="peserta_pes_alamat">
<span<?php echo $peserta->pes_alamat->ViewAttributes() ?>>
<?php echo $peserta->pes_alamat->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($peserta->pes_hp->Visible) { // pes_hp ?>
		<td<?php echo $peserta->pes_hp->CellAttributes() ?>>
<span id="el<?php echo $peserta_delete->RowCnt ?>_peserta_pes_hp" class="peserta_pes_hp">
<span<?php echo $peserta->pes_hp->ViewAttributes() ?>>
<?php echo $peserta->pes_hp->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($peserta->pes_foto->Visible) { // pes_foto ?>
		<td<?php echo $peserta->pes_foto->CellAttributes() ?>>
<span id="el<?php echo $peserta_delete->RowCnt ?>_peserta_pes_foto" class="peserta_pes_foto">
<span>
<?php echo ew_GetFileViewTag($peserta->pes_foto, $peserta->pes_foto->ListViewValue()) ?>
</span>
</span>
</td>
<?php } ?>
<?php if ($peserta->pes_luas_lahan->Visible) { // pes_luas_lahan ?>
		<td<?php echo $peserta->pes_luas_lahan->CellAttributes() ?>>
<span id="el<?php echo $peserta_delete->RowCnt ?>_peserta_pes_luas_lahan" class="peserta_pes_luas_lahan">
<span<?php echo $peserta->pes_luas_lahan->ViewAttributes() ?>>
<?php echo $peserta->pes_luas_lahan->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($peserta->pes_r_tanam_tgl->Visible) { // pes_r_tanam_tgl ?>
		<td<?php echo $peserta->pes_r_tanam_tgl->CellAttributes() ?>>
<span id="el<?php echo $peserta_delete->RowCnt ?>_peserta_pes_r_tanam_tgl" class="peserta_pes_r_tanam_tgl">
<span<?php echo $peserta->pes_r_tanam_tgl->ViewAttributes() ?>>
<?php echo $peserta->pes_r_tanam_tgl->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($peserta->pes_foto_lahan->Visible) { // pes_foto_lahan ?>
		<td<?php echo $peserta->pes_foto_lahan->CellAttributes() ?>>
<span id="el<?php echo $peserta_delete->RowCnt ?>_peserta_pes_foto_lahan" class="peserta_pes_foto_lahan">
<span>
<?php echo ew_GetFileViewTag($peserta->pes_foto_lahan, $peserta->pes_foto_lahan->ListViewValue()) ?>
</span>
</span>
</td>
<?php } ?>
	</tr>
<?php
	$peserta_delete->Recordset->MoveNext();
}
$peserta_delete->Recordset->Close();
?>
</tbody>
</table>
</div>
</div>
<div>
<button class="btn btn-primary ewButton" name="btnAction" id="btnAction" type="submit"><?php echo $Language->Phrase("DeleteBtn") ?></button>
<button class="btn btn-default ewButton" name="btnCancel" id="btnCancel" type="button" data-href="<?php echo $peserta_delete->getReturnUrl() ?>"><?php echo $Language->Phrase("CancelBtn") ?></button>
</div>
</form>
<script type="text/javascript">
fpesertadelete.Init();
</script>
<?php
$peserta_delete->ShowPageFooter();
if (EW_DEBUG_ENABLED)
	echo ew_DebugMsg();
?>
<script type="text/javascript">

// Write your table-specific startup script here
// document.write("page loaded");

</script>
<?php include_once "footer.php" ?>
<?php
$peserta_delete->Page_Terminate();
?>
